Name:           python-pyasn1-alt-modules
Version:        0.4.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An alternative collection of ASN.1-based protocol modules

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/russhousley/pyasn1-alt-modules
Source:         %{pypi_source pyasn1_alt_modules}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyasn1-alt-modules' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyasn1-alt-modules
Summary:        %{summary}

%description -n python3-pyasn1-alt-modules %_description


%prep
%autosetup -p1 -n pyasn1_alt_modules-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyasn1-alt-modules -f %{pyproject_files}


%changelog
%autochangelog